org.apache.felix.ipojo.handlers.dependency

## Class DependencyConfigurationChecker

- java.lang.Object
- - org.apache.felix.ipojo.handlers.dependency.DependencyConfigurationChecker

    public class DependencyConfigurationChecker
    extends java.lang.Object

Utility class checking the configuration of a dependency.

### Constructor Summary

Constructors
Constructor and Description
`DependencyConfigurationChecker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `ensure(Dependency dependency, org.apache.felix.ipojo.metadata.Element metadata, PojoMetadata manipulation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DependencyConfigurationChecker

    public DependencyConfigurationChecker()

### Method Detail

#### ensure

    public static void ensure(Dependency dependency,
                              org.apache.felix.ipojo.metadata.Element metadata,
                              PojoMetadata manipulation)
                       throws ConfigurationException

Throws:
  `ConfigurationException`